cppcms::sessions::session_storage_factory Class Referenceabstract

The factory is an interface to a factory that creates session_storage objects, it should be thread safe. More...

`#include <cppcms/session_storage.h>`

## Public Member Functions

virtual booster::shared_ptr < session_storage > | get ()=0
virtual bool | requires_gc ()=0
virtual void | gc_job ()
virtual | ~session_storage_factory ()

## Detailed Description

The factory is an interface to a factory that creates session_storage objects, it should be thread safe.

## Constructor & Destructor Documentation

virtual cppcms::sessions::session_storage_factory::~session_storage_factory | ( |  | ) |

inlinevirtual

Delete the object, cleanup

## Member Function Documentation

virtual void cppcms::sessions::session_storage_factory::gc_job | ( |  | ) |

inlinevirtual

Actual garbage collection job (if required). If requires_gc returns true it will be called once-in-a-while to remove all expired objects from the DB.

virtual booster::shared_ptr<session_storage> cppcms::sessions::session_storage_factory::get | ( |  | ) |

pure virtual

Get a pointer to session_storage. Note if the returned pointer is same for different calls session_storage implementation should be thread safe.

virtual bool cppcms::sessions::session_storage_factory::requires_gc | ( |  | ) |

pure virtual

Return true if session_storage requires garbage collection - removal of expired session time-to-time

The documentation for this class was generated from the following file:

- cppcms/session_storage.h